<?php
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	wp_die ('请不要直接访问这个页面！');
if (!empty($post->post_password)) {
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {
		echo '<p class="nocomments">这篇日志被加密码保护，需要输入密码才能进行评论。<p>';
		return;
	}
}

if ($comments) : ?>
	<h3 id="comments"><?php the_title(); ?>的相关讨论</h3>

	<ul id="commentlist">

	<?php foreach ($comments as $comment) : ?>

		<li <?php echo $oddcomment; ?>id="comment-<?php comment_ID() ?>">
			<div class="author-top">
				<?php if ( (function_exists('gravatar')) ) { ?>
				<div class="gravatar">
					<span><img src="<?php gravatar(); ?>" alt="Gravatar" /></span>
				</div>
				<?php } ?>
				<p class="author"><?php comment_author_link() ?></p>
				<p>评论发表于 <?php comment_time('Y-m-d H:i:s') ?></p>
			</div>
			<div class="commentbody">
				<?php if ($c->comment_approved == '0') : // 判断是否通过审批。?>
				<p style="color:red; font-size:14px;">该评论还在审批当中。</p>
				<?php else : ?>
				<?php comment_text();?>
				<?php endif; ?>
			</div>
		</li>

	<?php endforeach; /* end for each comment */ ?>

	</ul>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<div id="leave-comment"><h2>评论已被关闭</h2></div>

	<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
<div id="cmtForm">
	<div id="leave-comment"><h2>Leave Comment</h2></div>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>

		<p>你必须要先<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">登录</a>才能发表评论。</p>
		
<?php else : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	<?php if ( $user_ID ) : ?>
		<p>你已经登录为<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>。| <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">注销</a> &raquo;</p>
	<?php else : ?>
	<ul>
		<li><input type="text" name="author" id="author" value="<?php echo $comment_author?>" tabindex="1" /> 用户名（必填）</li>
		<li><input type="text" name="email" id="email" value="<?php echo $comment_author_email?>" tabindex="2" /> 信　箱（必填，不会被公开）</li>
		<li><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" /> 主　页</li>
	</ul>
	<?php endif; ?>
		<p><textarea name="comment" cols="45" tabindex="4" rows="6" id="respond" ></textarea></p>
		<p class="button">
		<input value="发 表" id="submit" name="submit" type="submit" tabindex="5"/>
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		<?php do_action('comment_form', $post->ID); ?>
		</p>
	</form>
	</ul>
</div>

<?php endif; // If registration required and not logged in ?>
<?php endif; // if you delete this the sky will fall on your head ?>