<?php
// 添加后台管理界面
add_action ('admin_menu', 'wNote_menu');
$wNoteloc = '../themes/'.basename(dirname($file)); 

function wNote_menu() {
	add_submenu_page('themes.php', 'wNote V2 设置', 'wNote V2 设置', 5, $wNoteloc . 'functions.php', 'menu');
}

function menu() {
	include(TEMPLATEPATH . '/options/wNote.php');
}

//Widget Ready
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li>',
        'after_widget' => '</li>',
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));

//分页函数
/*
Plugin Name: WP-PageNavi
Plugin URI: http://www.lesterchan.net/portfolio/programming.php
Description: Adds a more advanced page navigation to Wordpress.
Version: 2.10
Author: GaMerZ
Author URI: http://www.lesterchan.net
*/
function wnote_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 10, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged;
	if(empty($prelabel)) {
		$prelabel  = '&laquo;';
	}
	if(empty($nxtlabel)) {
		$nxtlabel = '&raquo;';
	}
	$half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
		if(!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);		
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);		
		}
		$fromwhere = $matches[1];
		$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
		$max_page = ceil($numposts /$posts_per_page);
		if(empty($paged)) {
			$paged = 1;
		}
		if($max_page > 1 || $always_show) {
			echo "$before 总共 $max_page 页：<b>";
			if ($paged >= ($pages_to_show-1)) {
				echo '<a href="'.get_pagenum_link().'" title="first page">&laquo; 第一页</a> ··· ';
			}
			previous_posts_link($prelabel);
			for($i = $paged - $half_pages_to_show; $i  <= $paged + $half_pages_to_show; $i++) {
				if ($i >= 1 && $i <= $max_page) {
					if($i == $paged) {
						echo "<span>[$i]</span>";
					} else {
						echo '<a href="'.get_pagenum_link($i).'" title="page '.$i.'">'.$i.'</a>';
					}
				}
			}
			next_posts_link($nxtlabel, $max_page);
			if (($paged+$half_pages_to_show) < ($max_page)) {
				echo ' ··· <a href="'.get_pagenum_link($max_page).'" title="last page">最末页 &raquo;</a>';
			}
			echo "$after</b>";
		}
	}
}

function wnote_pagenavi_dropdown() {
	global $request, $posts_per_page, $wpdb, $paged;
	if (!is_single()) {
		if(!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);		
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);		
		}
		$fromwhere = $matches[1];
		$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
		$max_page = ceil($numposts /$posts_per_page);
		if(empty($paged)) {
			$paged = 1;
		}
		if($max_page > 1) {
			echo '<form action="'.htmlspecialchars($_SERVER['PHP_SELF']).'" method="get">'."\n";
			echo '<select size="1" onchange="document.location.href = this.options[this.selectedIndex].value;">'."\n";
			for($i = 1; $i  <= $max_page; $i++) {
				$page_num = $i;
				if($page_num == 1) {
					$page_num = 0;
				}
				if($i == $paged) {
					echo "<option value=\"".get_pagenum_link($page_num)."\" selected=\"selected\">Page: $i</option>\n";
				} else {
					echo "<option value=\"".get_pagenum_link($page_num)."\">Page: $i</option>\n";
				}
			}
			echo "</select>\n";
			echo "</form>\n";
		}
	}
}

### 日志内部分页函数
function wNote_link_pages($before='<br />', $after='<br />', $next_or_number='number', $nextpagelink='next page', $previouspagelink='previous page', $pagelink='%', $more_file='') {
	global $id, $page, $numpages, $multipage, $more, $pagenow;
	if ( $more_file != '' )
		$file = $more_file;
	else
		$file = $pagenow;
	if ( $multipage ) {
		if ( 'number' == $next_or_number ) {
			echo $before;
			for ( $i = 1; $i < ($numpages+1); $i = $i + 1 ) {
				$j = str_replace('%',"$i",$pagelink);
				echo '';
				if ( ($i != $page) || ((!$more) && ($page==1)) ) {
					if ( '' == get_settings('permalink_structure') )
						echo '<a href="' . get_permalink() . '&amp;page=' . $i . '">';
					else
						echo '<a href="' . trailingslashit( get_permalink() ) . $i . '/">';
				}else{
					echo ' [';
				}
				echo $j;
				if ( ($i != $page) || ((!$more) && ($page==1)) ){
					echo '</a>';
				}else{
					echo '] ';
				}
			}
			echo $after;
		} else {
			if ( $more ) {
				echo $before;
				$i = $page - 1;
				if ( $i && $more ) {
					if ( '' == get_settings('permalink_structure') )
						echo '<a href="' . get_permalink() . '&amp;page=' . $i . '">'.$previouspagelink.'</a>';
					else
						echo '<a href="' . get_permalink() . $i . '/">'.$previouspagelink.'</a>';
				}
				$i = $page + 1;
				if ( $i <= $numpages && $more ) {
					if ( '' == get_settings('permalink_structure') )
						echo '<a href="'.get_permalink() . '&amp;page=' . $i . '">'.$nextpagelink.'</a>';
					else
						echo '<a href="'.get_permalink().$i.'/">'.$nextpagelink.'</a>';
				}
				echo $after;
			}
		}
	}
}


//最新评论函数
function myyu_get_recent_comments($num = 10) {

	global $wpdb, $comments, $comment, $comment_comment;
	$comments = $wpdb->get_results("SELECT comment_author, comment_author_url, comment_ID, comment_post_ID, comment_content FROM $wpdb->comments WHERE comment_approved = '1' ORDER BY comment_date_gmt DESC LIMIT $num");
	
    if ( $comments ) : foreach ($comments as $comment) :
       $comment_content = strip_tags($comment->comment_content);
       $comment_content = stripslashes($comment_content);
       $comment_content = substr($comment_content,0,50);
       $comment_content = utf8_trim($comment_content);
	   echo  '<li><a href="'. get_permalink($comment->comment_post_ID) . '#comment-' . $comment->comment_ID . '" title="' . $comment_content . '">' . $comment_content . '</a></li>';
	   endforeach; endif;
}

function utf8_trim($str) {

	$len = strlen($str);

	for ($i=strlen($str)-1; $i>=0; $i-=1){
		$hex .= ' '.ord($str[$i]);
		$ch = ord($str[$i]);
        if (($ch & 128)==0) return(substr($str,0,$i));
		if (($ch & 192)==192) return(substr($str,0,$i));
	}
	return($str.$hex);
}

//日志和评论删除函数

function delete_post_link($link = 'Delete This', $before = '', $after = '') {
	global $post;

	if ( ! current_user_can('level_10', $post->ID) )
		return;

	if ( is_attachment() )
		return;
	else

	$location = wp_nonce_url(get_settings('siteurl')."/wp-admin/post.php?action=delete&amp;post=".$post->ID,'delete-post_'.$post->ID);
	echo $before . "<a href=\"$location\" onclick=\"return confirm('" .__("你确定要删除这篇日志？\\n按&quot;确定&quot;执行删除，按&quot;取消&quot;放弃删除。") . "' )\">$link</a>" . $after;
}

function delete_comment_link($link = 'Delete This', $before = '', $after = '') {
	global $post, $comment;

	if ( ! current_user_can('level_10', $post->ID) )
		return;

	$location = wp_nonce_url(get_settings('siteurl')."/wp-admin/post.php?action=deletecomment&amp;p=".$comment->comment_post_ID."&amp;comment=".$comment->comment_ID,'delete-comment_'.$comment->comment_ID);
	echo $before . "<a href='$location' onclick=\"return confirm('" . __("You are about to delete this comment.\\n  \'Cancel\' to stop, \'OK\' to delete.") . "')\">$link</a>" . $after;
}


//随机日志函数

function random_posts ($limit = 10, $length = 400, $before = '<li>', $after = '</li>', $show_pass_post = false, $show_excerpt_in_title = true) {
    global $wpdb, $tableposts;
    $sql = "SELECT ID, post_title, post_date, post_content FROM $tableposts WHERE post_status = 'publish' AND post_type = 'post' ";
	if(!$show_pass_post) $sql .= "AND post_password ='' ";
	$sql .= "ORDER BY RAND() LIMIT $limit";
    $posts = $wpdb->get_results($sql);
	$output = '';
    foreach ($posts as $post) {
       $post_title = stripslashes($post->post_title);
	$post_date = mysql2date('Y-m-d', $post->post_date);
       $permalink = get_permalink($post->ID);
	$post_content = strip_tags($post->post_content); 
	$post_content = stripslashes($post_content); 
	$post_strip = substr($post_content,0,$length);
       $post_strip = utf8_trim($post_strip);
	$post_strip = str_replace('"', '', $post_strip);
	$output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="';
	if($show_excerpt_in_title) {
		$output .= $post_strip . '...  ';
      	   } else  {
		$output .= 'Permanent Link: ' . str_replace('"', '', $post_title) . '...   ';
	}
	$output .= $post_date . '">' . $post_title . '</a>';
	if(!$show_excerpt_in_title) {
		$output .= ': ' . $post_strip . '...  ';
      	   }
	$output .= $after;
	}
	echo $output;
}

//浏览次数函数
### Function: Calculate Post Views
add_action('loop_start', 'process_postviews');
function process_postviews() {
	global $id;
	$post_views = intval(post_custom('views'));
	if(empty($_COOKIE[USER_COOKIE])) {
		if(is_single() || is_page()) {		
			if($post_views > 0) {
				update_post_meta($id, 'views', ($post_views+1));	
			} else {
				add_post_meta($id, 'views', 1);
			}
		}
	}
}


### Function: Display The Post Views
function the_views($text_views = '浏览:', $display = true) {
	$post_views = intval(post_custom('views'));
	if($display) {
		echo $text_views.' '.number_format($post_views);
	} else {
		return $post_views;
	}
}
?>