<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php bloginfo('name'); ?><?php if ( (is_tag()) && (function_exists('UTW_ShowCurrentTagSet')) ) { UTW_ShowCurrentTagSet('tagsettextonly'); } ?><?php wp_title(); ?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
<link rel="shortcut icon" href="favicon.ico" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="<?php bloginfo('name'); ?> RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_get_archives('type=monthly&format=link'); ?>
<?php wp_head(); ?>
</head>

<body>
<div id="page">

	<div id="header">
		<div id="logo">
			<a href="<?php bloginfo('siteurl'); ?>/" title="mYYu.宇" onfocus="blur();"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.png" width="162" height="100" alt="Logo" /></a>
		</div>

		<div id="banner">
			<div id="top_bar">
				<ul>
					<li><a href="<?php bloginfo('siteurl'); ?>/archives/" title="存档" class="archives">Archives</a></li> - 
					<li><a href="<?php bloginfo('siteurl'); ?>/sitemap/" title="网站地图" class="sitemap">Sitemap</a></li> - 
					<li><a href="<?php bloginfo('siteurl'); ?>/links/" title="友情链接" class="links">Links</a></li>
	  		<?php if(current_user_can('moderate_comments')) {
    					global $wpdb;
							
    					$awaiting_mod = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '0'");
							
    					if($awaiting_mod) {
							echo '<li class="line">&nbsp;</li>';
    						echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/moderation.php">'.sprintf("待审评论(%s)", $awaiting_mod).'</a></li>';
						}
					} ?></ul>
			</div>

			<ul id="menu">
				<li id="menu_blog<?php if (is_home()){ echo "_visite"; } ?>"><a href="<?php bloginfo('siteurl'); ?>/" onfocus="blur();" title="Blog">Blog</a></li>
				<li id="menu_about<?php if (is_page('aboutme')){ echo "_visite"; } ?>"><a href="<?php bloginfo('siteurl'); ?>/aboutme/" onfocus="blur();" title="About">About</a></li>
				<li id="menu_works<?php if (is_page('works')){ echo "_visite"; } ?>"><a href="<?php bloginfo('siteurl'); ?>/works/" onfocus="blur();" title="Works">Works</a></li>
				<li id="menu_resources<?php if (is_page('resources')){ echo "_visite"; } ?>"><a href="<?php bloginfo('siteurl'); ?>/resources/" onfocus="blur();" title="Resources">Resources</a></li>
				<li id="menu_guestbook<?php if (is_page('guestbook')){ echo "_visite"; } ?>"><a href="<?php bloginfo('siteurl'); ?>/guestbook/" onfocus="blur();" title="Guestbook">Guestbook</a></li>
			</ul>
		</div>
	</div><!--header over-->

	<div id="tbody">