<?php get_header(); ?>

	<div id="content">

	<h3 class="center">标签: <?php UTW_ShowCurrentTagSet('tagsetcommalist') ?> 的日志</h3>

	<?php if (have_posts()) : ?>
		
			<div class="navigation" style=" background:none; margin-bottom:30px;">
				<div class="alignleft"><?php next_posts_link('&laquo; 上一页') ?></div>
				<div class="alignright"><?php previous_posts_link('下一页 &raquo;') ?></div>
			</div>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Post in <?php the_time('Y-m-d h:i:s'); ?>"><?php the_title(); ?></a></h3>
				<div class="post_info">
					Post in <?php the_time('M jS, Y') ?>
				</div>
				
				<div class="info_comm">
					<span><?php comments_popup_link('发表评论!', '评论 [1]', '评论 [%]'); ?></span>
				</div>
				<div class="clear"></div>

				<div class="entry">
					<?php the_content('<span class="more">阅读全文</span>'); ?>
				</div>
				
			</div>

		<?php endwhile; ?>
	
			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo; 上一页') ?></div>
				<div class="alignright"><?php previous_posts_link('下一页 &raquo;') ?></div>
			</div>
		
	<?php else : ?>

			<div class="post">
					<p>很抱歉，没找到你想要的页面，或许你可以在这搜索一下。</p>
					<?php include (TEMPLATEPATH . "/searchform.php"); ?>
			</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>